Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-20902

Application Wizard: required template parameters from previously selected templates are shown

    XMLWordPrintable

Details

    Description

      When connected to an openshift 3 instance having the latest middleware templates, that use required parameters, create a new Application. If you click on one template, like amq6-persistent-ssl, then select (dbl-click) the eap6-basic-s2i one, you'll see:

      • required param reported in error, but is not listed
      • decoration does not match error displayed
      • can't go to next page as validation is impossible to achieve

      The eap6-basic-template should work OOTB.

      When selecting a template in the treeview, databinding populates validation requirements in the model, but these requirements are not reset when selecting another template.

      The only workaround is to close the wizard and make sure you directly select the proper template on the first try.

      Attachments

        Issue Links

          Activity

            People

              adietish@redhat.com André Dietisheim
              fbricon@redhat.com Fred Bricon
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: